Subject: bug#4093: Overlay keymap and timers

From: Lennart Borgman <[email-masked]>
Date: Mon, 10 Aug 2009 18:30:27 +0200

On Mon, Aug 10, 2009 at 6:25 PM, Stefan Monnier<[email-masked]> wrote:

> But maybe an alternative is to provide some way for your Elisp code to
> cause a jump back to `replay_sequence' so that you can force the C-c C-d
> to be interpreted in the new keymaps even if the C-c had already been
> pressed when your code was run.

Sounds good. Would it perhaps be most easy to implement a
`please-replay-sequence' function that tells the command loop to go
one more turn and check the keymaps again and reuse the pending input?